### Enumeration

# GLib IOError

#### Declaration

    enum GLib.IOError

#### Description

`GIOError` is only used by the deprecated functions g_io_channel_read(), g_io_channel_write(), and g_io_channel_seek().

#### Members

`G_IO_ERROR_NONE`

  No error.

  - Value: `0`
  - Available since: 2.0
`G_IO_ERROR_AGAIN`

  An EAGAIN error occurred.

  - Value: `1`
  - Available since: 2.0
`G_IO_ERROR_INVAL`

  An EINVAL error occurred.

  - Value: `2`
  - Available since: 2.0
`G_IO_ERROR_UNKNOWN`

  Another error occurred.

  - Value: `3`
  - Available since: 2.0